import request from '@/utils/request';
import { encrypt } from '@/utils/encrypt';

export function getList(data) {
  let param = '?page=' + data.page + '&size=' + data.size;
  if (data.name != '') {
    param += '&name=' + data.name;
  }
  return request({
    url: '/material/icon/list' + param,
    method: 'get',
    data,
  });
}

//添加
export function doAdd(data) {
  return request({
    url: '/material/icon/insert',
    method: 'post',
    data,
  });
}
//修改
export function doDelete(data) {
  return request({
    url: '/material/icon/remove',
    method: 'post',
    data,
  });
}
